Piwigo Bugtracker

Viewing Issue Advanced Details Jump to Notes ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000657 [Piwigo] albums feature always 2007.02.26 21:40 2007.03.05 15:21
Reporter rvelices View Status public  
Assigned To rvelices
Priority normal Resolution fixed Platform
Status closed   OS
Projection none   OS Version
ETA none Fixed in Version 1.7.0RC2 Product Version
  Target Version Product Build
Summary 0000657: permalinks for categories
Description We can have nice urls for tags (url name), pictures (file name) but not for categories (only 'id-name').
It would be nice to be able to define "permalinks" for categories (especially when someone has external links - from a blog for example).

A permalink "toto" for the category 5, named "my cat" would give an url like index/category/toto instead of index/category/5 or index/category/5-my_cat

Steps To Reproduce
Additional Information
Tags No tags attached.
browser any
Database engine and version
PHP version
Web server Apache 1.3.x
Attached Files

- Relationships

-  Notes
(0001782)
VDigital (reporter)
2007.02.27 07:03

Absolutly !!!
Did you plan to introduce categories permalinks for 1.7?
(0001783)
rvelices (developer)
2007.02.27 13:22

>> Did you plan to introduce categories permalinks for 1.7?
Not sure yet if I have the time to do it for 1.7
(0001784)
rvelices (developer)
2007.02.28 04:00

>> >> Did you plan to introduce categories permalinks for 1.7?
>> Not sure yet if I have the time to do it for 1.7
In fact I found the time :-)

[Subversion] r1866
still needs help files for admin pages
(0001785)
rub (developer)
2007.02.28 07:00

>> Not sure yet if I have the time to do it for 1.7
It's very nice!
(0001786)
VDigital (reporter)
2007.02.28 07:03

I misunderstood how "hit" could be raised... Maybe I am wrong.
I used a permalink, renamed it, used it, but hit is always nil.

And a future request could be two or more permalinks on the same category (e.g. French: Amis, English: Friends).
(0001787)
rvelices (developer)
2007.02.28 13:16

OK. When you delete a permalink it is saved in the permalink history.

When you try to access a category using a deleted permalink (search engine or external link), it will be redirected to the correct url. In this case the hit date and hits will be updated
(0001790)
VDigital (reporter)
2007.02.28 17:09

Perfect. I'll try it and use it.
Thx.
(0001791)
plg (manager)
2007.03.05 15:21

I close and fix this entry, so that it's listed on changelog of 1.7.0RC2

- Issue History
Date Modified Username Field Change
2007.02.26 21:40 rvelices New Issue
2007.02.26 21:40 rvelices browser => any
2007.02.26 21:40 rvelices Web server => Apache 1.3.x
2007.02.27 07:03 VDigital Note Added: 0001782
2007.02.27 13:22 rvelices Note Added: 0001783
2007.02.28 04:00 rvelices Note Added: 0001784
2007.02.28 04:00 rvelices Assigned To => rvelices
2007.02.28 04:00 rvelices Status new => assigned
2007.02.28 07:00 rub Note Added: 0001785
2007.02.28 07:03 VDigital Note Added: 0001786
2007.02.28 13:16 rvelices Note Added: 0001787
2007.02.28 17:09 VDigital Note Added: 0001790
2007.03.05 15:21 plg Note Added: 0001791
2007.03.05 15:21 plg Status assigned => closed
2007.03.05 15:21 plg Resolution open => fixed
2007.03.05 15:21 plg version 1.7.0RC1 =>
2007.03.05 15:21 plg Fixed in Version => 1.7.0RC2


Mantis 1.1.6[^]
Copyright © 2000 - 2008 Mantis Group
Contact
Powered by Mantis Bugtracker